felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] Commented: (FELIX-2376) Installing camel-cxf feature fails with Woodstock complaining about J2SE 1.4 environment
Date Tue, 01 Jun 2010 08:54:36 GMT

    [ https://issues.apache.org/jira/browse/FELIX-2376?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12873922#action_12873922
] 

Claus Ibsen commented on FELIX-2376:
------------------------------------

Okay I found a workaround / solution to it.

In the etc/config.properties you can comment out the following
# OSGi Execution Environment
###org.osgi.framework.executionenvironment=J2SE-1.5

This is the only change I have done. I have kept to use felix as osgi framework.


And then camel-cxf can be installed

[installed  ] [2.5.6.SEC01] spring                   karaf-1.6.0
[installed  ] [1.2.0      ] spring-dm                karaf-1.6.0
[uninstalled] [1.6.0      ] wrapper                  karaf-1.6.0
[uninstalled] [1.6.0      ] obr                      karaf-1.6.0
[uninstalled] [1.6.0      ] http                     karaf-1.6.0
[uninstalled] [1.6.0      ] war                      karaf-1.6.0
[uninstalled] [1.6.0      ] webconsole               karaf-1.6.0
[installed  ] [1.6.0      ] ssh                      karaf-1.6.0
[installed  ] [1.6.0      ] management               karaf-1.6.0
[installed  ] [2.5.6.SEC01] spring                   repo-0
[installed  ] [1.2.0      ] spring-dm                repo-0
[installed  ] [2.3.0      ] http                     repo-0
[uninstalled] [2.3.0      ] camel                    repo-0
[installed  ] [2.3.0      ] camel-core               repo-0
[installed  ] [2.3.0      ] camel-spring-osgi        repo-0
[uninstalled] [2.3.0      ] camel-test               repo-0
[installed  ] [2.3.0      ] camel-cxf                repo-0

> Installing camel-cxf feature fails with Woodstock complaining about J2SE 1.4 environment
> ----------------------------------------------------------------------------------------
>
>                 Key: FELIX-2376
>                 URL: https://issues.apache.org/jira/browse/FELIX-2376
>             Project: Felix
>          Issue Type: Bug
>    Affects Versions: karaf 1.6.0
>         Environment: Maven version: 2.0.9
> Java version: 1.6.0_17
> OS name: "mac os x" version: "10.6.3" arch: "x86_64" Family: "mac"
>            Reporter: Claus Ibsen
>
> 1. Download Apache Felix Karaf 1.6.0
> 2. bin/karaf
> 3. features:addUrl mvn:org.apache.camel.karaf/apache-camel/2.3.0/xml/features
> 4. features:list
> {code}
> karaf@root> features:list
> State         Version       Name                     Repository
> [uninstalled] [2.5.6.SEC01] spring                   karaf-1.6.0
> [uninstalled] [1.2.0      ] spring-dm                karaf-1.6.0
> [uninstalled] [1.6.0      ] wrapper                  karaf-1.6.0
> [uninstalled] [1.6.0      ] obr                      karaf-1.6.0
> [uninstalled] [1.6.0      ] http                     karaf-1.6.0
> [uninstalled] [1.6.0      ] war                      karaf-1.6.0
> [uninstalled] [1.6.0      ] webconsole               karaf-1.6.0
> [installed  ] [1.6.0      ] ssh                      karaf-1.6.0
> [installed  ] [1.6.0      ] management               karaf-1.6.0
> [uninstalled] [2.5.6.SEC01] spring                   repo-0
> [uninstalled] [1.2.0      ] spring-dm                repo-0
> [uninstalled] [2.3.0      ] http                     repo-0
> [uninstalled] [2.3.0      ] camel                    repo-0
> [uninstalled] [2.3.0      ] camel-core               repo-0
> [uninstalled] [2.3.0      ] camel-spring-osgi        repo-0
> [uninstalled] [2.3.0      ] camel-test               repo-0
> [uninstalled] [2.3.0      ] camel-cxf                repo-0
> [uninstalled] [2.3.0      ] camel-cache              repo-0
> [uninstalled] [2.3.0      ] camel-castor             repo-0
> [uninstalled] [2.3.0      ] camel-crypto             repo-0
> [uninstalled] [2.3.0      ] camel-dozer              repo-0
> [uninstalled] [2.3.0      ] camel-http               repo-0
> [uninstalled] [2.3.0      ] camel-http4              repo-0
> [uninstalled] [2.3.0      ] camel-mina               repo-0
> [uninstalled] [2.3.0      ] camel-jetty              repo-0
> [uninstalled] [2.3.0      ] camel-servlet            repo-0
> [uninstalled] [2.3.0      ] camel-jms                repo-0
> [uninstalled] [2.3.0      ] camel-amqp               repo-0
> [uninstalled] [2.3.0      ] camel-atom               repo-0
> [uninstalled] [2.3.0      ] camel-bam                repo-0
> [uninstalled] [2.3.0      ] camel-bindy              repo-0
> [uninstalled] [2.3.0      ] camel-cometd             repo-0
> [uninstalled] [2.3.0      ] camel-csv                repo-0
> [uninstalled] [2.3.0      ] camel-flatpack           repo-0
> [uninstalled] [2.3.0      ] camel-freemarker         repo-0
> [uninstalled] [2.3.0      ] camel-ftp                repo-0
> [uninstalled] [2.3.0      ] camel-guice              repo-0
> [uninstalled] [2.3.0      ] camel-groovy             repo-0
> [uninstalled] [2.3.0      ] camel-hl7                repo-0
> [uninstalled] [2.3.0      ] camel-hawtdb             repo-0
> [uninstalled] [2.3.0      ] camel-ibatis             repo-0
> [uninstalled] [2.3.0      ] camel-irc                repo-0
> [uninstalled] [2.3.0      ] camel-jackson            repo-0
> [uninstalled] [2.3.0      ] camel-jaxb               repo-0
> [uninstalled] [2.3.0      ] camel-jcr                repo-0
> [uninstalled] [2.3.0      ] camel-jing               repo-0
> [uninstalled] [2.3.0      ] camel-jdbc               repo-0
> [uninstalled] [2.3.0      ] camel-josql              repo-0
> [uninstalled] [2.3.0      ] camel-jpa                repo-0
> [uninstalled] [2.3.0      ] camel-jxpath             repo-0
> [uninstalled] [2.3.0      ] camel-juel               repo-0
> [uninstalled] [2.3.0      ] camel-ldap               repo-0
> [uninstalled] [2.3.0      ] camel-lucene             repo-0
> [uninstalled] [2.3.0      ] camel-mail               repo-0
> [uninstalled] [2.3.0      ] camel-msv                repo-0
> [uninstalled] [2.3.0      ] camel-mvel               repo-0
> [uninstalled] [2.3.0      ] camel-nagios             repo-0
> [uninstalled] [2.3.0      ] camel-netty              repo-0
> [uninstalled] [2.3.0      ] camel-ognl               repo-0
> [uninstalled] [2.3.0      ] camel-printer            repo-0
> [uninstalled] [2.3.0      ] camel-protobuf           repo-0
> [uninstalled] [2.3.0      ] camel-quartz             repo-0
> [uninstalled] [2.3.0      ] camel-restlet            repo-0
> [uninstalled] [2.3.0      ] camel-rmi                repo-0
> [uninstalled] [2.3.0      ] camel-rss                repo-0
> [uninstalled] [2.3.0      ] camel-saxon              repo-0
> [uninstalled] [2.3.0      ] camel-scala              repo-0
> [uninstalled] [2.3.0      ] camel-script             repo-0
> [uninstalled] [2.3.0      ] camel-smpp               repo-0
> [uninstalled] [2.3.0      ] camel-snmp               repo-0
> [uninstalled] [2.3.0      ] camel-soap               repo-0
> [uninstalled] [2.3.0      ] camel-spring-integration repo-0
> [uninstalled] [2.3.0      ] camel-sql                repo-0
> [uninstalled] [2.3.0      ] camel-stream             repo-0
> [uninstalled] [2.3.0      ] camel-string-template    repo-0
> [uninstalled] [2.3.0      ] camel-tagsoup            repo-0
> [uninstalled] [2.3.0      ] camel-velocity           repo-0
> [uninstalled] [2.3.0      ] camel-xmlbeans           repo-0
> [uninstalled] [2.3.0      ] camel-xmlsecurity        repo-0
> [uninstalled] [2.3.0      ] camel-xmpp               repo-0
> [uninstalled] [2.3.0      ] camel-xstream            repo-0
> [uninstalled] [2.3.0      ] camel-bean-validator     repo-0
> {code}
> 5. features:install camel-cxf
> After waiting a minute or so I get the following error
> {code}
> karaf@root> features:install camel-cxf
> Error executing command: Could not start bundle mvn:org.codehaus.woodstox/woodstox-core-asl/4.0.7
in feature(s) camel-cxf-2.3.0: Unresolved constraint in bundle woodstox-core-asl [76]: Execution
environment not supported: J2SE-1.4
> karaf@root> 
> {code}
> And info is
> {code}
> karaf@root> info
> Karaf
>   Karaf home                  /Users/davsclaus/Downloads/apache-felix-karaf-1.6.0
>   Karaf base                  /Users/davsclaus/Downloads/apache-felix-karaf-1.6.0
>   OSGi Framework              org.apache.felix.framework - 2.0.5
> JVM
>   Java Virtual Machine        Java HotSpot(TM) 64-Bit Server VM version 14.3-b01-101
>   Vendor                      Apple Inc.
>   Uptime                      4 minutes
>   Total compile time          6.122 seconds
> Threads
>   Live threads                29
>   Daemon threads              24
>   Peak                        35
>   Total started               80
> Memory
>   Current heap size           70,130 kbytes
>   Maximum heap size           466,048 kbytes
>   Committed heap size         151,808 kbytes
>   Pending objects             0
>   Garbage collector           Name = 'PS Scavenge', Collections = 8, Time = 0.117 seconds
>   Garbage collector           Name = 'PS MarkSweep', Collections = 1, Time = 0.085 seconds
> Classes
>   Current classes loaded      3,354
>   Total classes loaded        3,354
>   Total classes unloaded      0
> Operating system
>   Name                        Mac OS X version 10.6.3
>   Architecture                x86_64
>   Processors                  2
> {code}

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message